package domain

import (
	"topsdk/util"
)

type TmallExchangeConsigngoodsExchange struct {
	/*
	   modified     */
	Modified *util.LocalTime `json:"modified,omitempty" `

	/*
	   status     */
	Status *string `json:"status,omitempty" `

	/*
	   bizOrderId     */
	BizOrderId *string `json:"biz_order_id,omitempty" `

	/*
	   disputeId     */
	DisputeId *string `json:"dispute_id,omitempty" `
}

func (s *TmallExchangeConsigngoodsExchange) SetModified(v util.LocalTime) *TmallExchangeConsigngoodsExchange {
	s.Modified = &v
	return s
}
func (s *TmallExchangeConsigngoodsExchange) SetStatus(v string) *TmallExchangeConsigngoodsExchange {
	s.Status = &v
	return s
}
func (s *TmallExchangeConsigngoodsExchange) SetBizOrderId(v string) *TmallExchangeConsigngoodsExchange {
	s.BizOrderId = &v
	return s
}
func (s *TmallExchangeConsigngoodsExchange) SetDisputeId(v string) *TmallExchangeConsigngoodsExchange {
	s.DisputeId = &v
	return s
}
